
QGIS Application - Bug report #14774

Import CSV returns incorrect table

2016-05-05 03:57 AM - Stephen Knox

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22731

Description

When using master version ca74cc0 the import CSV does not function correctly and gives a table with columns named UID then rows with

individual numbers in every column (presumably UID). This is using the without geometry option, I have not tested other options.

Reverting back to version 2.14.2 everything works as expected, with the same settings.

Related issues:

Duplicates QGIS Application - Bug report # 14766: Attribute table broken (dup... Closed 2016-05-04

Associated revisions

Revision ffcf655b - 2016-05-09 08:56 AM - Matthias Kuhn 

Don't always show first column in attribute table

Add tests for some basic attribute table functionality

Fix #14774

Fix #14765

Fix #14766

History

#1 - 2016-05-05 04:39 AM - Richard Duivenvoorde

I think this is all related to #14766

so probably this one can be closed as a duplicate of that one?

#2 - 2016-05-05 09:16 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
